Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network67.167.78.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
Network address
67.167.78.0
Broadcast address
67.167.79.255
First usable
67.167.78.1
Last usable
67.167.79.254
Usable hosts
510 (512 less the network and broadcast addresses)
Subnet mask
255.255.254.0
Wildcard mask
0.0.1.255 (Cisco ACLs, OSPF)
Prefix length
/23
Type
Public public
Old class
A (default /8)
As numbers
Hex 43A74E00 · Integer 1135037952 to 1135038463
Reverse DNS zones
78.167.67.in-addr.arpa
79.167.67.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000011.10100111.01001110.0000000067.167.78.0
Subnet mask11111111.11111111.11111110.00000000255.255.254.0
Network01000011.10100111.01001110.0000000067.167.78.0
Broadcast01000011.10100111.01001111.1111111167.167.79.255
Split into smaller subnets/30

67.167.78.0/23 makes 128 subnets of /30.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
167.167.78.0/3067.167.78.1 to 67.167.78.267.167.78.32
267.167.78.4/3067.167.78.5 to 67.167.78.667.167.78.72
367.167.78.8/3067.167.78.9 to 67.167.78.1067.167.78.112
467.167.78.12/3067.167.78.13 to 67.167.78.1467.167.78.152
567.167.78.16/3067.167.78.17 to 67.167.78.1867.167.78.192
667.167.78.20/3067.167.78.21 to 67.167.78.2267.167.78.232
767.167.78.24/3067.167.78.25 to 67.167.78.2667.167.78.272
867.167.78.28/3067.167.78.29 to 67.167.78.3067.167.78.312
967.167.78.32/3067.167.78.33 to 67.167.78.3467.167.78.352
1067.167.78.36/3067.167.78.37 to 67.167.78.3867.167.78.392
1167.167.78.40/3067.167.78.41 to 67.167.78.4267.167.78.432
1267.167.78.44/3067.167.78.45 to 67.167.78.4667.167.78.472
1367.167.78.48/3067.167.78.49 to 67.167.78.5067.167.78.512
1467.167.78.52/3067.167.78.53 to 67.167.78.5467.167.78.552
1567.167.78.56/3067.167.78.57 to 67.167.78.5867.167.78.592
1667.167.78.60/3067.167.78.61 to 67.167.78.6267.167.78.632
1767.167.78.64/3067.167.78.65 to 67.167.78.6667.167.78.672
1867.167.78.68/3067.167.78.69 to 67.167.78.7067.167.78.712
1967.167.78.72/3067.167.78.73 to 67.167.78.7467.167.78.752
2067.167.78.76/3067.167.78.77 to 67.167.78.7867.167.78.792
2167.167.78.80/3067.167.78.81 to 67.167.78.8267.167.78.832
2267.167.78.84/3067.167.78.85 to 67.167.78.8667.167.78.872
2367.167.78.88/3067.167.78.89 to 67.167.78.9067.167.78.912
2467.167.78.92/3067.167.78.93 to 67.167.78.9467.167.78.952
2567.167.78.96/3067.167.78.97 to 67.167.78.9867.167.78.992
2667.167.78.100/3067.167.78.101 to 67.167.78.10267.167.78.1032
2767.167.78.104/3067.167.78.105 to 67.167.78.10667.167.78.1072
2867.167.78.108/3067.167.78.109 to 67.167.78.11067.167.78.1112
2967.167.78.112/3067.167.78.113 to 67.167.78.11467.167.78.1152
3067.167.78.116/3067.167.78.117 to 67.167.78.11867.167.78.1192
3167.167.78.120/3067.167.78.121 to 67.167.78.12267.167.78.1232
3267.167.78.124/3067.167.78.125 to 67.167.78.12667.167.78.1272
3367.167.78.128/3067.167.78.129 to 67.167.78.13067.167.78.1312
3467.167.78.132/3067.167.78.133 to 67.167.78.13467.167.78.1352
3567.167.78.136/3067.167.78.137 to 67.167.78.13867.167.78.1392
3667.167.78.140/3067.167.78.141 to 67.167.78.14267.167.78.1432
3767.167.78.144/3067.167.78.145 to 67.167.78.14667.167.78.1472
3867.167.78.148/3067.167.78.149 to 67.167.78.15067.167.78.1512
3967.167.78.152/3067.167.78.153 to 67.167.78.15467.167.78.1552
4067.167.78.156/3067.167.78.157 to 67.167.78.15867.167.78.1592
4167.167.78.160/3067.167.78.161 to 67.167.78.16267.167.78.1632
4267.167.78.164/3067.167.78.165 to 67.167.78.16667.167.78.1672
4367.167.78.168/3067.167.78.169 to 67.167.78.17067.167.78.1712
4467.167.78.172/3067.167.78.173 to 67.167.78.17467.167.78.1752
4567.167.78.176/3067.167.78.177 to 67.167.78.17867.167.78.1792
4667.167.78.180/3067.167.78.181 to 67.167.78.18267.167.78.1832
4767.167.78.184/3067.167.78.185 to 67.167.78.18667.167.78.1872
4867.167.78.188/3067.167.78.189 to 67.167.78.19067.167.78.1912
4967.167.78.192/3067.167.78.193 to 67.167.78.19467.167.78.1952
5067.167.78.196/3067.167.78.197 to 67.167.78.19867.167.78.1992
5167.167.78.200/3067.167.78.201 to 67.167.78.20267.167.78.2032
5267.167.78.204/3067.167.78.205 to 67.167.78.20667.167.78.2072
5367.167.78.208/3067.167.78.209 to 67.167.78.21067.167.78.2112
5467.167.78.212/3067.167.78.213 to 67.167.78.21467.167.78.2152
5567.167.78.216/3067.167.78.217 to 67.167.78.21867.167.78.2192
5667.167.78.220/3067.167.78.221 to 67.167.78.22267.167.78.2232
5767.167.78.224/3067.167.78.225 to 67.167.78.22667.167.78.2272
5867.167.78.228/3067.167.78.229 to 67.167.78.23067.167.78.2312
5967.167.78.232/3067.167.78.233 to 67.167.78.23467.167.78.2352
6067.167.78.236/3067.167.78.237 to 67.167.78.23867.167.78.2392
6167.167.78.240/3067.167.78.241 to 67.167.78.24267.167.78.2432
6267.167.78.244/3067.167.78.245 to 67.167.78.24667.167.78.2472
6367.167.78.248/3067.167.78.249 to 67.167.78.25067.167.78.2512
6467.167.78.252/3067.167.78.253 to 67.167.78.25467.167.78.2552
6567.167.79.0/3067.167.79.1 to 67.167.79.267.167.79.32
6667.167.79.4/3067.167.79.5 to 67.167.79.667.167.79.72
6767.167.79.8/3067.167.79.9 to 67.167.79.1067.167.79.112
6867.167.79.12/3067.167.79.13 to 67.167.79.1467.167.79.152
6967.167.79.16/3067.167.79.17 to 67.167.79.1867.167.79.192
7067.167.79.20/3067.167.79.21 to 67.167.79.2267.167.79.232
7167.167.79.24/3067.167.79.25 to 67.167.79.2667.167.79.272
7267.167.79.28/3067.167.79.29 to 67.167.79.3067.167.79.312
7367.167.79.32/3067.167.79.33 to 67.167.79.3467.167.79.352
7467.167.79.36/3067.167.79.37 to 67.167.79.3867.167.79.392
7567.167.79.40/3067.167.79.41 to 67.167.79.4267.167.79.432
7667.167.79.44/3067.167.79.45 to 67.167.79.4667.167.79.472
7767.167.79.48/3067.167.79.49 to 67.167.79.5067.167.79.512
7867.167.79.52/3067.167.79.53 to 67.167.79.5467.167.79.552
7967.167.79.56/3067.167.79.57 to 67.167.79.5867.167.79.592
8067.167.79.60/3067.167.79.61 to 67.167.79.6267.167.79.632
8167.167.79.64/3067.167.79.65 to 67.167.79.6667.167.79.672
8267.167.79.68/3067.167.79.69 to 67.167.79.7067.167.79.712
8367.167.79.72/3067.167.79.73 to 67.167.79.7467.167.79.752
8467.167.79.76/3067.167.79.77 to 67.167.79.7867.167.79.792
8567.167.79.80/3067.167.79.81 to 67.167.79.8267.167.79.832
8667.167.79.84/3067.167.79.85 to 67.167.79.8667.167.79.872
8767.167.79.88/3067.167.79.89 to 67.167.79.9067.167.79.912
8867.167.79.92/3067.167.79.93 to 67.167.79.9467.167.79.952
8967.167.79.96/3067.167.79.97 to 67.167.79.9867.167.79.992
9067.167.79.100/3067.167.79.101 to 67.167.79.10267.167.79.1032
9167.167.79.104/3067.167.79.105 to 67.167.79.10667.167.79.1072
9267.167.79.108/3067.167.79.109 to 67.167.79.11067.167.79.1112
9367.167.79.112/3067.167.79.113 to 67.167.79.11467.167.79.1152
9467.167.79.116/3067.167.79.117 to 67.167.79.11867.167.79.1192
9567.167.79.120/3067.167.79.121 to 67.167.79.12267.167.79.1232
9667.167.79.124/3067.167.79.125 to 67.167.79.12667.167.79.1272
9767.167.79.128/3067.167.79.129 to 67.167.79.13067.167.79.1312
9867.167.79.132/3067.167.79.133 to 67.167.79.13467.167.79.1352
9967.167.79.136/3067.167.79.137 to 67.167.79.13867.167.79.1392
10067.167.79.140/3067.167.79.141 to 67.167.79.14267.167.79.1432
10167.167.79.144/3067.167.79.145 to 67.167.79.14667.167.79.1472
10267.167.79.148/3067.167.79.149 to 67.167.79.15067.167.79.1512
10367.167.79.152/3067.167.79.153 to 67.167.79.15467.167.79.1552
10467.167.79.156/3067.167.79.157 to 67.167.79.15867.167.79.1592
10567.167.79.160/3067.167.79.161 to 67.167.79.16267.167.79.1632
10667.167.79.164/3067.167.79.165 to 67.167.79.16667.167.79.1672
10767.167.79.168/3067.167.79.169 to 67.167.79.17067.167.79.1712
10867.167.79.172/3067.167.79.173 to 67.167.79.17467.167.79.1752
10967.167.79.176/3067.167.79.177 to 67.167.79.17867.167.79.1792
11067.167.79.180/3067.167.79.181 to 67.167.79.18267.167.79.1832
11167.167.79.184/3067.167.79.185 to 67.167.79.18667.167.79.1872
11267.167.79.188/3067.167.79.189 to 67.167.79.19067.167.79.1912
11367.167.79.192/3067.167.79.193 to 67.167.79.19467.167.79.1952
11467.167.79.196/3067.167.79.197 to 67.167.79.19867.167.79.1992
11567.167.79.200/3067.167.79.201 to 67.167.79.20267.167.79.2032
11667.167.79.204/3067.167.79.205 to 67.167.79.20667.167.79.2072
11767.167.79.208/3067.167.79.209 to 67.167.79.21067.167.79.2112
11867.167.79.212/3067.167.79.213 to 67.167.79.21467.167.79.2152
11967.167.79.216/3067.167.79.217 to 67.167.79.21867.167.79.2192
12067.167.79.220/3067.167.79.221 to 67.167.79.22267.167.79.2232
12167.167.79.224/3067.167.79.225 to 67.167.79.22667.167.79.2272
12267.167.79.228/3067.167.79.229 to 67.167.79.23067.167.79.2312
12367.167.79.232/3067.167.79.233 to 67.167.79.23467.167.79.2352
12467.167.79.236/3067.167.79.237 to 67.167.79.23867.167.79.2392
12567.167.79.240/3067.167.79.241 to 67.167.79.24267.167.79.2432
12667.167.79.244/3067.167.79.245 to 67.167.79.24667.167.79.2472
12767.167.79.248/3067.167.79.249 to 67.167.79.25067.167.79.2512
12867.167.79.252/3067.167.79.253 to 67.167.79.25467.167.79.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses